Subject: [bug#35207] [PATCH] Resurrect pplacer.

From: Ricardo Wurmus <[email-masked]>
Date: Thu, 11 Apr 2019 16:56:32 +0200

Julien Lepiller <[email-masked]> writes:

> Le 11 avril 2019 14:55:44 GMT+02:00, Ricardo Wurmus <[email-masked]> a écrit :
>>
>>Ricardo Wurmus <[email-masked]> writes:
>>
>>> Julien Lepiller <[email-masked]> writes:
>>>
>>>> What's the most recent version of ocaml pplacer can use?
>>>
>>> It’s actually 4.01.  I don’t know how much effort it’s going to be to
>>> make it work with the latest version.
>>
>>I gave patching pplacer a try, but in more recent versions of OCaml
>>strings are byte streams, so it’s quite a bit of work to figure out
>>where exactly to convert strings to byte streams and back again.
>>
>>I’ll keep working on this for a while, but for now I’d like to get
>>pplacer resurrected with 4.02 first.
>>
>>--
>>Ricardo
>
> Ok, I guess it's acceptable. I'll fully review your patches later today.

Thanks for the offer, but it won’t be necessary after all.  I figured
out how to make it work with the latest OCaml.  I had to also patch
ocaml-mcl, but that seems okay.

New patches coming in a few minutes!

--
Ricardo